x86/64: enable X86_INTEL_LPSS to select PINCTRL
authorMartin Schiller <ms@dev.tdt.de>
Fri, 24 Aug 2018 09:31:13 +0000 (11:31 +0200)
committerHauke Mehrtens <hauke@hauke-m.de>
Sat, 25 Aug 2018 13:33:51 +0000 (15:33 +0200)
This makes it possible to use the MCP23S08 i/o expander
on x86_64 platforms with linux 4.14.

Signed-off-by: Martin Schiller <ms@dev.tdt.de>
target/linux/x86/64/config-default

index f55423e..e854cf2 100644 (file)
@@ -275,6 +275,15 @@ CONFIG_PCI_HYPERV=y
 CONFIG_PCI_XEN=y
 CONFIG_PGTABLE_LEVELS=4
 CONFIG_PHYSICAL_ALIGN=0x1000000
+CONFIG_PINCTRL=y
+# CONFIG_PINCTRL_BAYTRAIL is not set
+# CONFIG_PINCTRL_BROXTON is not set
+# CONFIG_PINCTRL_CANNONLAKE is not set
+# CONFIG_PINCTRL_CHERRYVIEW is not set
+# CONFIG_PINCTRL_DENVERTON is not set
+# CONFIG_PINCTRL_GEMINILAKE is not set
+# CONFIG_PINCTRL_LEWISBURG is not set
+# CONFIG_PINCTRL_SUNRISEPOINT is not set
 CONFIG_PM=y
 # CONFIG_PMIC_OPREGION is not set
 CONFIG_PM_CLK=y
@@ -374,7 +383,7 @@ CONFIG_X86_CPUID=y
 CONFIG_X86_DEBUGCTLMSR=y
 CONFIG_X86_DEV_DMA_OPS=y
 CONFIG_X86_DIRECT_GBPAGES=y
-# CONFIG_X86_INTEL_LPSS is not set
+CONFIG_X86_INTEL_LPSS=y
 # CONFIG_X86_INTEL_MEMORY_PROTECTION_KEYS is not set
 # CONFIG_X86_INTEL_MPX is not set
 CONFIG_X86_INTEL_PSTATE=y